signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
SignonDaemonNS::SignonAuthSession Class Reference

Daemon side representation of authentication session. More...

`#include <signonauthsession.h>`

Inheritance diagram for SignonDaemonNS::SignonAuthSession:
[legend]
Collaboration diagram for SignonDaemonNS::SignonAuthSession:
[legend]

## Public Slots
QStringList | queryAvailableMechanisms (const QStringList &wantedMechanisms)
QVariantMap | process (const QVariantMap &sessionDataVa, const QString &mechanism)
void | cancel ()
void | setId (quint32 id)
void | objectUnref ()

## Signals
void | stateChanged (int state, const QString &message)
void | unregistered ()

## Public Member Functions
SignonSessionCore * | parent () const
quint32 | id () const
QString | method () const
pid_t | ownerPid () const

## Static Public Member Functions
static SignonAuthSession * | createAuthSession (const quint32 id, const QString &method, SignonDaemon *parent, pid_t ownerPid)
static void | stopAllAuthSessions ()

## Protected Member Functions
| SignonAuthSession (quint32 id, const QString &method, pid_t ownerPid)
virtual | ~SignonAuthSession ()

## Friends
class | SignonAuthSessionAdaptor

## Detailed Description

Daemon side representation of authentication session.

Todo:
  description.

Definition at line 45 of file signonauthsession.h.

## Constructor & Destructor Documentation

SignonAuthSession::SignonAuthSession | ( | quint32 | id,
|  | const QString & | method,
|  | pid_t | ownerPid
| ) |  |
| protected

Definition at line 30 of file signonauthsession.cpp.

References SignonAuthSessionAdaptor, and TRACE.

Referenced by createAuthSession().

SignonAuthSession::~SignonAuthSession | ( |  | ) |
| protected virtual

Definition at line 49 of file signonauthsession.cpp.

References TRACE, and unregistered().

## Member Function Documentation

void SignonAuthSession::cancel | ( |  | ) |
| slot

Definition at line 117 of file signonauthsession.cpp.

References SignonDaemonNS::SignonSessionCore::cancel(), parent(), and TRACE.

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::cancel(), and objectUnref().

SignonAuthSession * SignonAuthSession::createAuthSession | ( | const quint32 | id,
|  | const QString & | method,
|  | SignonDaemon * | parent,
|  | pid_t | ownerPid
| ) |  |
| static

Definition at line 55 of file signonauthsession.cpp.

References SignonDaemonNS::SignonSessionCore::sessionCore(), SignonAuthSession(), stateChanged(), and TRACE.

quint32 SignonAuthSession::id | ( |  | ) | const

Definition at line 84 of file signonauthsession.cpp.

Referenced by SignonDaemonNS::AccessControlManagerHelper::isPeerAllowedToUseAuthSession(), and setId().

QString SignonAuthSession::method | ( |  | ) | const

Definition at line 89 of file signonauthsession.cpp.

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::process().

void SignonAuthSession::objectUnref | ( |  | ) |
| slot

Definition at line 129 of file signonauthsession.cpp.

References cancel(), and TRACE.

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::objectUnref().

pid_t SignonAuthSession::ownerPid | ( |  | ) | const

Definition at line 94 of file signonauthsession.cpp.

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::cancel(), SignonDaemonNS::SignonAuthSessionAdaptor::objectUnref(), SignonDaemonNS::SignonAuthSessionAdaptor::process(), SignonDaemonNS::SignonAuthSessionAdaptor::queryAvailableMechanisms(), and SignonDaemonNS::SignonAuthSessionAdaptor::setId().

SignonSessionCore* SignonDaemonNS::SignonAuthSession::parent | ( |  | ) | const
| inline

Definition at line 50 of file signonauthsession.h.

Referenced by cancel(), process(), queryAvailableMechanisms(), and setId().

QVariantMap SignonAuthSession::process | ( | const QVariantMap & | sessionDataVa,
|  | const QString & | mechanism
| ) |  |
| slot

Definition at line 105 of file signonauthsession.cpp.

References parent(), and SignonDaemonNS::SignonSessionCore::process().

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::process().

QStringList SignonAuthSession::queryAvailableMechanisms | ( | const QStringList & | wantedMechanisms | ) |
| slot

Definition at line 100 of file signonauthsession.cpp.

References parent(), and SignonDaemonNS::SignonSessionCore::queryAvailableMechanisms().

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::queryAvailableMechanisms().

void SignonAuthSession::setId | ( | quint32 | id | ) |
| slot

Definition at line 123 of file signonauthsession.cpp.

References id(), parent(), and SignonDaemonNS::SignonSessionCore::setId().

Referenced by SignonDaemonNS::SignonAuthSessionAdaptor::setId().

void SignonDaemonNS::SignonAuthSession::stateChanged | ( | int | state,
|  | const QString & | message
| ) |  |
| signal

Referenced by createAuthSession().

void SignonAuthSession::stopAllAuthSessions | ( |  | ) |
| static

Definition at line 79 of file signonauthsession.cpp.

References SignonDaemonNS::SignonSessionCore::stopAllAuthSessions().

void SignonDaemonNS::SignonAuthSession::unregistered | ( |  | ) |
| signal

Referenced by ~SignonAuthSession().

## Friends And Related Function Documentation

friend class SignonAuthSessionAdaptor
| friend

Definition at line 55 of file signonauthsession.h.

Referenced by SignonAuthSession().

The documentation for this class was generated from the following files:

- src/signond/signonauthsession.h
- src/signond/signonauthsession.cpp